Subject: [Fwd: RFC3281 erratum]

From: Stephen Farrell <[email-masked]>
Date: Fri, 07 Mar 2003 16:10:00 +0000

All,

We've been informed that the definition of Clearance in the
AC profile managed to get out of whack with that in X.501.

I've just posted the following erratum notice to the RFC
editor, who keeps such things at [1].

If you have an AC implementation which handles Clearance
attirbutes this affects you, otherwise, go right ahead and 
ignore this,
Regards,
Stephen.

[1] http://www.rfc-editor.org/errata.html

Stephen Farrell wrote:
> 
> Dear RFC editor,
> 
> Could you please post the following additional erratum for RFC2381.
> 
> Thank you,
> Stephen.
> 
> RFC2381, sections 4.4.6 and Appendix B contain a definition of
> Clearance which is incompatible with the latest X.501 definition
> of the same type. The two types were intended to be identical.
> 
> RFC3281 defines clearance as follows:
> 
>    Clearance ::= SEQUENCE {
>            policyId            [0] OBJECT IDENTIFIER,
>            classList           [1] ClassList DEFAULT {unclassified},
>            securityCategories  [2] SET OF SecurityCategory OPTIONAL
>    }
> 
> Whereas X.501 currently defines Clearance as follows:
> 
>    Clearance ::= SEQUENCE {
>            policyId            OBJECT IDENTIFIER,
>            classList           ClassList DEFAULT {unclassified},
>            securityCategories  SET OF SecurityCategory OPTIONAL
>    }
> 
> The differences in tagging arose due to an unnoticed technical
> corrigendum (TC-2) being applied to the X.501 document during
> preparation of RFC3281.
> 
> The X.501 format is the correct form and will be included in
> a future update of RFC3281.
> 
> Implementers SHOULD modify their decoding functions to accept
> either format and, even if claiming RFC3281 conformance, SHOULD
> output the (correct) X.501 format pending the issuing of a corrected
> RFC at which point the incorrect RFC3281 format will no longer be
> specified.
> 
> --
> ____________________________________________________________
> Stephen Farrell
> Baltimore Technologies,   tel: (direct line) +353 1 881 6716
> 39 Parkgate Street,                     fax: +353 1 881 7000
> Dublin 8.                mailto:[email-masked]
> Ireland                             http://www.baltimore.com

-- 
____________________________________________________________
Stephen Farrell         				   
Baltimore Technologies,   tel: (direct line) +353 1 881 6716
39 Parkgate Street,                     fax: +353 1 881 7000
Dublin 8.                mailto:[email-masked]
Ireland                             http://www.baltimore.com